Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm
Class BacktrackInfo

    java.lang.Object
      gnu.prolog.vm.BacktrackInfo

Direct Known Subclasses:
  CallBacktrackInfo, EnterBacktrackInfo, LeaveBacktrackInfo, LeaveByteCodeBacktrackInfo, Predicate_append.AppendBacktrackInfo, Predicate_call.CallTermBacktrackInfo, Predicate_member.MemberBacktrackInfo, PrologCollectionIterator, RetryBacktrackInfo

    public class BacktrackInfo

extends Object

back track information base class

Field Summary
`int` | `codePosition` A pointer to code position.
`int` | `undoPosition` A position in undo stack.

Constructor Summary
`BacktrackInfo(int undoPosition, int codePosition)` a constructor

Method Summary
`void` | `undo(Interpreter i)` undo changes up to creation of this backtrack info

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codePosition

    public int codePosition

  A pointer to code position. This pointer is interpreted by function that created backtrack information. TODO: what is the meaning of -1 here?

### undoPosition

    public int undoPosition

  A position in undo stack. all actions will be undone up to this position. TODO: what is the meaning of -1 here?

Constructor Detail

### BacktrackInfo

    public BacktrackInfo(int undoPosition,
                         int codePosition)

  a constructor

  Parameters:
    `undoPosition` - `undoPosition`
    `codePosition` - `codePosition`

Method Detail

### undo

    public void undo(Interpreter i)

  undo changes up to creation of this backtrack info

  Parameters:
    `i` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD